
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/security/seclvl.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN security/seclvl.c~security-seclvlc-make-some-code-static security/seclvl.c
--- 25/security/seclvl.c~security-seclvlc-make-some-code-static	2005-01-23 14:36:06.210588264 -0800
+++ 25-akpm/security/seclvl.c	2005-01-23 14:36:06.214587656 -0800
@@ -170,7 +170,7 @@ seclvl_attr_show(struct kobject *kobj, s
 /**
  * Callback function pointers for show and store
  */
-struct sysfs_ops seclvlfs_sysfs_ops = {
+static struct sysfs_ops seclvlfs_sysfs_ops = {
 	.show = seclvl_attr_show,
 	.store = seclvl_attr_store,
 };
@@ -275,7 +275,7 @@ seclvl_write_file(struct seclvl_obj *obj
 }
 
 /* Generate sysfs_attr_seclvl */
-struct seclvl_attribute sysfs_attr_seclvl =
+static struct seclvl_attribute sysfs_attr_seclvl =
 __ATTR(seclvl, (S_IFREG | S_IRUGO | S_IWUSR), seclvl_read_file,
        seclvl_write_file);
 
@@ -386,7 +386,7 @@ seclvl_write_passwd(struct seclvl_obj *o
 }
 
 /* Generate sysfs_attr_passwd */
-struct seclvl_attribute sysfs_attr_passwd =
+static struct seclvl_attribute sysfs_attr_passwd =
 __ATTR(passwd, (S_IFREG | S_IRUGO | S_IWUSR), seclvl_read_passwd,
        seclvl_write_passwd);
 
_
